# std::__detail::_Prime_rehash_policy Struct Reference

List of all members.

## Detailed Description

Definition at line 406 of file hashtable_policy.h.

## Public Types

- enum { _S_n_primes }

## Public Member Functions

- std::size_t _M_bkt_for_elements (std::size_t __n) const
- std::pair< bool, std::size_t > _M_need_rehash (std::size_t __n_bkt, std::size_t __n_elt, std::size_t __n_ins) const
- std::size_t _M_next_bkt (std::size_t __n) const
- _Prime_rehash_policy (float __z=1.0)
- float max_load_factor () const

## Public Attributes

- float _M_growth_factor
- float _M_max_load_factor
- std::size_t _M_next_resize

The documentation for this struct was generated from the following file:

- hashtable_policy.h